ech = 0.2;

ech_str = '2.000000e-01';
alpha_list = [0,0.01, 0.1, 1];


File  = load(sprintf('data/bruite_a%e_ech%s.mat', 0, ech_str));

[n_p, ~] = size(P);

figure(1000);
clf;
hold on;
scatter(File.P(:,1), File.P(:,2));
quiver(File.P(:,1), File.P(:,2), File.N_P(:,1), File.N_P(:,2));
hold off;


for alpha = alpha_list
    display_results_bruite_aux(sprintf('data/bruite_a%e_ech%s.mat', alpha, ech_str), alpha, ech);
    
end;


f = figure(1000);

title(sprintf('%d points, surface reconstruites selon les valeurs de alpha', n_p));

axis square;
axis([0.25,0.75,0.25,0.75]);
%axis equal;
legend('points', 'normales', 'alpha = 0', 'alpha = 0.01', 'alpha = 0.1', 'alpha = 1');

print(f, '-r400', '-dpng', sprintf('Output/Bruite/final__comparatif_np%d.png', n_p));
axis([0.45,0.75,0.45,0.75]);
print(f, '-r400', '-dpng', sprintf('Output/Bruite/final__comparatifzoom_np%d.png', n_p));








